/*
 * Original code written by TrueBrain, Zuu, and Aphid
 * License: GPL2
 */

require("version.nut");

class MainClass extends GSInfo {
	function GetAuthor()		{ return "Kormer"; }
	function GetName()			{ return "Balanced_City_Growth"; }
	function GetDescription() 	{ return "Towns require various types of cargo to be delivered to grow.  Pax and Mail are set as a percentage of the towns supply of such cargos.  Script works and is balanced with both ECS and FIRS."; }
	function GetVersion()		{ return SELF_VERSION; }
	function GetDate()			{ return "2013-03-03"; }
	function CreateInstance()	{ return "MainClass"; }
	function GetShortName()		{ return "BCGR"; }
	function GetAPIVersion()	{ return "1.3"; }
	function GetUrl()			{ return ""; }
	function GetSettings() {
				
		AddSetting({name = "Industry_Newgrf",
				description = "Which Industry Newgrf is being used?",
				easy_value = 1,
				medium_value = 1,
				hard_value = 1,
				custom_value = 1,
				flags = CONFIG_INGAME, min_value = 1, max_value = 3});
		AddLabels("Industry_Newgrf", {_1 = "Base", _2 = "FIRS", _3 = "ECS All Vectors" } );

		AddSetting({name = "goal_scale_factor",
				description = "Cargo goal factor (in %) [easy = 50, medium = 100, hard = 150]",
				easy_value = 50,
				medium_value = 100,
				hard_value = 150,
				custom_value = 100,
				flags = CONFIG_INGAME, min_value = 1, max_value = 1000});

		AddSetting({name = "log_level", 
				description = "Debug: Log level (higher = print more)", 
				easy_value = 1,
				medium_value = 1,
				hard_value = 1,
				custom_value = 1,
				flags = CONFIG_INGAME, min_value = 1, max_value = 3});
		AddLabels("log_level", {_1 = "1: Info", _2 = "2: Verbose", _3 = "3: Debug" } );
	}

}

RegisterGS(MainClass());
